﻿//Global Variables - Media File Extraction
var playerObject;
var CatFile = storage.extract("Kitten.wav");

//Get Screen Size and Width
var scrnx = framework.system.screen.size.width;
var scrny = framework.system.screen.size.height;

//Plugin Properties
view.resizable = false;
view.onopen = view_onopen();
view.caption = "Hungry Cat";

//Initial Mouse Position
var imageY=125;

//Mouse Animation Timer
var Interval=0;


//Mouse Eating Animation
function eatmouse()
{
imageY=imageY-5;
mouse.y=imageY;
 if(imageY<=90)
 {
  view_PlaySound()
  hidemouse();
 }
}

//Show mouse when Mouse is moved on Cat's Mouth
function showmouse()
{
mouth.x=0;
mouth.y=0;
mouth.width=139;
mouth.height=200;
mouse.visible=true;
Interval=setInterval(eatmouse,25);
}

//Disable Mouse Eating animation Timer and Hide Mouse Image
function hidemouse()
{
clearInterval(Interval);
mouse.y=125;
imageY=125;
mouse.visible=false;
}

function normaldiv()
{
mouth.x=51;
mouth.y=83;
mouth.width=32;
mouth.height=15;
}


//Play Sound
function view_PlaySound(){
	MouseOver=true;
	playerObject=null;
	if (playerObject==null) 
        {
         playerObject = new ActiveXObject("WMPlayer.OCX");
        }
	playerObject.uiMode="none";
        playerObject.settings.setMode("autoRewind", true);
        playlist = playerObject.newPlaylist("", "");
        newMedia = playerObject.newMedia(CatFile);
        playlist.appendItem(newMedia);
        playerObject.settings.autoStart = true;
        playerObject.currentPlaylist = playlist;
        playlist = null;
        newMedia = null 
}
//Cat's Eye Animation
function update_eye() {

	var wscale = plugin.window_width/100 ;   
	var hscale = plugin.window_height/150 ; 
	
	//Get current Cursor Coordinates
	var pos = framework.system.cursor.position;
	
	var l_x =  31+((pos.x/scrnx)-0.5)*5;
	var l_y =  43+((pos.y/scrny)-0.5)*3;

	var r_x = 56+((pos.x/scrnx)-0.5)*5;
	var r_y = 40+((pos.y/scrny)-0.5)*3; 
	

	lefteye.width = 4 * wscale;
	lefteye.height = 4 * hscale;
	righteye.width = 4 * wscale;
	righteye.height = 4 * hscale;

	lefteye.x = l_x*wscale;
	lefteye.y = l_y*hscale;

	righteye.x = r_x*wscale;
	righteye.y = r_y*hscale;
}

//Statring Point
function view_onopen(){
	setInterval( update_eye, 50 );
}
